6.0.0-git
2019-04-24

[#7174] Use embedded [CSS] images
Summary Use embedded [CSS] images
Queue IMP
Queue Version HEAD
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester slusarz (at) horde (dot) org
Created 2008-08-08 (3911 days ago)
Due
Updated 2010-01-12 (3389 days ago)
Assigned
Resolved 2009-02-20 (3715 days ago)
Milestone
Patch No

History
2010-01-12 23:57:09 CVS Commit Comment #4 Reply to this comment
Changes have been made in Git for this ticket:

Initial support for embedded image data in CSS
Beginning to implement Ticket #7174. Eventually, all images should be
moved into CSS to allow for maximum caching.

http://git.horde.org/diff.php/imp/lib/IMP.php?rt=horde-git&r1=e751a9283893ad6559102e2bee9d529bf6ea4546&r2=624b959ec733846a46eea3515ac4eacdc4aeda1f
2009-02-20 18:41:41 Michael Slusarz Comment #3
State ⇒ Resolved
Reply to this comment
Resolving this specific ticket as this has been implemented (at least 
in IMP).  Once Horde_View architecture stabilizes, will eventually 
move this to there.
2009-01-08 05:36:10 Michael Slusarz Version ⇒ HEAD
Queue ⇒ IMP
 
2008-08-08 19:37:48 Michael Slusarz Comment #1
Type ⇒ Enhancement
State ⇒ Assigned
Priority ⇒ 1. Low
Summary ⇒ Use embedded [CSS] images
Queue ⇒ DIMP
Assigned to Michael Slusarz
Milestone ⇒
Patch ⇒ No
Reply to this comment
http://www.websiteoptimization.com/speed/tweak/inline-images/



Anticipated use would be to have a function that autogenerates 
separate CSS file with images based on browser (IE vs. other 
browsers).  This CSS file could be cached so not only would it save 
image requests, but that CSS file would only need to be grabbed once.



Use in DIMP initially since manipulating images may require javascript 
(haven't worked out details yet).



Alternative is to rewrite image tags in Horde::img with data 
information if browser supported and/or image below certain size.  To 
avoid costly file lookups/processing, the base64 representations of 
the images could be cached server-side.

Saved Queries